roasOS
API referenceUploads

Get upload status

GET
/v1/uploads/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/uploads/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "image",    "status": "pending",    "content_type": "string",    "byte_length": 0,    "url": "http://example.com",    "put_url": "http://example.com",    "put_headers": {      "property1": "string",      "property2": "string"    },    "expires_at": "2019-08-24T14:15:22Z",    "limits": {      "max_bytes": 1,      "allowed_content_types": [        "string"      ]    }  }}